/* Set to read-only */
$j('#facture, #tht, #net_a_payer, #reste_a_payer, #tva, #commission, #net_compagnie').prop('readonly', true);

/* calcul du prix de vente, calculer le total */
$j('#prix_achat, #prix_vente, #commission, #frais_service, #tht, #net_a_payer, #tva, #reste_a_payer, #frais_assurance, #net_compagnie, #qts, #mtva, #account').change(function(){
	
var prixAchat = parseFloat($j('#prix_achat').val()) || 0;
var prixVente = parseFloat($j('#prix_vente').val()) || 0;


var netPayer = parseFloat($j('#net_a_payer').val()) || 0;
var tVa = parseFloat($j('#tva').val()) || 0;
var tHt = parseFloat($j('#tht').val()) || 0;
var restePayer = parseFloat($j('#reste_a_payer').val()) || 0;
var acompte = parseFloat($j('#account').val()) || 0;
var fraisService = parseFloat($j('#frais_service').val()) || 0;
var komm = parseFloat($j('#commission').val()) || 0;
var assu = parseFloat($j('#frais_assurance').val()) || 0;
var netcomp = parseFloat($j('#net_compagnie').val()) || 0;
var quts = parseFloat($j('#qts').val()) || 0;
var tvam = parseFloat($j('#mtva').val()) || 0;



// calcul de la commission qui est le prix d'achat - moins le prix de vente
var pvente1 = prixVente * quts;
var pvente = pvente1 + assu;

var kommma = prixVente - prixAchat;
var kommm = kommma * quts;

// NET COMPAGNIES
var netCompa1 = prixAchat * quts;
var netCompa = netCompa1 + 0;

// calcul commission - frais de service
var taxe1 = komm - fraisService;

// commission - frais de service - tva
var taxe2 = taxe1 * tvam / 100;

// frais de services + tva
var taxe3 = fraisService + taxe2;

var prixTht = kommm - taxe2 + assu;


var netPayer1 =  prixAchat + kommm;
var netPayer =  netPayer1 + assu - acompte;


var rPayer = pvente - acompte;

$j('#tva').val(taxe2);

$j('#commission').val(kommm);

$j('#tht').val(prixTht);

$j('#net_a_payer').val(pvente);

$j('#reste_a_payer').val(rPayer);

$j('#net_compagnie').val(netCompa);

});

/* calculate total price on opening the detail view form*/
$j('#prix_achat').change();
$j('#prix_vente').change();
$j('#account').change();
$j('#frais_service').change();
$j('#net_a_payer').change();
$j('#tva').change();
$j('#frais_assurance').change();
$j('#qts').change();
$j('#mtva').change();